%define aurox_ver 9.4
%define rel 1




# $Id: koffice-i18n.spec,v 1.15 2004/01/19 18:37:18 rexdieter Exp $

%define kdelibs_ver 6:3.2
%define koffice_ver 4:%{version}

%define i18n_buildall 1 

%if "%{?i18n_buildall}" == "1"
%define is_release 1
%else
%define is_release 2
%endif

Summary: i18n support for KOffice 
Name: 	 koffice-i18n
Group:	 Applications/Office
Epoch:	 0
Version: 1.3.1
Release: %{aurox_ver}.aur.%{rel}
Source:  ftp://ftp.kde.org/pub/kde/stable/koffice-%{version}/koffice-i18n-%{version}.tar.bz2
URL:     http://koffice.kde.org/
License: GPL
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source2: koffice-i18n-subdirs

%if "%{is_release}" != "1"
BuildRequires: autoconf >= 2.53
BuildRequires: automake >= 1.5
%endif
BuildRequires: libtool
BuildRequires: kdelibs-devel >= %{kdelibs_ver}

Requires: koffice >= %{koffice_ver}


%description
i18n support for KOffice


%prep
%if "%{is_release}" != "0"
%setup -q -n %{name}-%{version}%{?beta} 
%else
%setup -q -n %{name}  
%endif

%if "%{?i18n_buildall}" != "1"
rm -rf ar bg bs eo eu fa lt mt nso ta th ven vi xh zu
cp %{SOURCE2} subdirs
%endif

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure 

make %{?_smp_mflags} 


%install
rm -rf "$RPM_BUILD_ROOT"

make install DESTDIR=$RPM_BUILD_ROOT 

# Replace absolute symlinks with relative ones
pushd $RPM_BUILD_ROOT%{_docdir}/HTML
for lang in *; do
  if [ -d $lang ]; then
    pushd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../common $i
      fi
    done
    popd
  fi
done
popd

# Fix conflict with kde-i18n-3.2.0, 
# http://bugs.kde.org/show_bug.cgi?id=75096
rm -f $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/kdgantt.mo

## File lists
# HTML
for lang_dir in $RPM_BUILD_ROOT%{_docdir}/HTML/* ; do 
  lang=$(basename $lang_dir)
  echo "%lang($lang) %doc %{_docdir}/HTML/$lang" >> HTML.lang
done
# locale's
for app_file in $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/*.mo ; do
   app=$(basename $app_file .mo) 
   # don't repeat
   [ ! -f ${app}.lang ] && %find_lang ${app}
done
# extras
for autocorrect_file in $RPM_BUILD_ROOT%{_datadir}/apps/koffice/autocorrect/*.xml ; do 
  lang=$(basename $autocorrect_file .xml)
  echo "%lang($lang) %{_datadir}/apps/koffice/autocorrect/${lang}.xml" >> autocorrect.lang
done

cat *.lang > %{name}-all.lang


%files -f %{name}-all.lang
%defattr(-,root,root)


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue May 04 2004 Aurox Team <aurox@aurox.org> 0:1.3.1-9.4.aur.1
- new mainstream release
- i18n, first time as a separate package

* Thu Feb 12 2004 Rex Dieter <rexdieter at sf.net> 0:1.3-0.fdr.1
- fix file conflict with kde-i18n-3.2

* Sun Jan 18 2004 Rex Dieter <rexdieter at sf.net> 0:1.3-0.fdr.0
- 1.3

* Thu Dec 18 2003 Rex Dieter <rexdieter at sf.net> 0:1.2.95-0.fdr.0
- 1.2.95

* Fri Oct 31 2003 Rex Dieter <rexdieter at sf.net> 0:1.2.94-0.fdr.0
- 1.2.94

* Thu Aug 07 2003 Rex Dieter <rexdieter at sf.net> 0:1.2.1-0.fdr.1
- add Epoch
- tighten Requires
- remove rhversion from Release tag

* Sun Jun 22 2003 Rex Dieter <rexdieter at sf.net> 1.2.1-0.fdr.0
- fedora'ize.
- unpackaged files.

* Fri Feb 14 2003 Rex Dieter <rexdieter at sf.net> 1.2.1-0.0
- i18n subpkg.

